<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            <s:div id="globalDiv">
                <h1>#{messages['net.ihe.gazelle.hpd.ManageLDAPClassesAndAttributes']}</h1>

                <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
                    <ui:param name="panel_id" value="uploadPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.hpd.FileUpload']}"/>
                    </ui:define>
                    <h:outputText
                            value="Upload there the files containing the structure of the LDAP directory."/>
                    <br/>
                    <br/>
                    <a4j:region id="uploadRegion">
                        <rich:fileUpload id="uploadFiles"
                                         fileUploadListener="#{ldapStructureManager.uploadEventListener}"
                                         acceptedTypes="xml" listHeight="100px" maxFilesQuantity="5"
                                         immediateUpload="false">
                        </rich:fileUpload>
                    </a4j:region>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
